VMTKFLOWEXTENSIONS(1)

NAME
vmtkflowextensions - vmtk script vmtkflowextensions

DESCRIPTION
Automatic piping vmtkflowextensions Parsing options vmtkflowextensions

vmtkflowextensions : interactivly add flow extensions to a surface for

    CFD processing

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1)

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlines Centerlines (vtkPolyData,1)

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-extensionmode ExtensionMode (str,1) in ['centerlinedirection',

    'boundarynormal']; default=centerlinedirection: method for computing the normal for extension

-interpolationmode InterpolationMode (str,1) in ['linear',

    'thinplatespline']; default=thinplatespline: method for computing interpolation from the model section to a circular section

-sigma Sigma (float,1) >= 0.0; default=1.0: thin plate spline

    stiffness

-adaptivelength AdaptiveExtensionLength (bool,1); default=0

-adaptiveradius AdaptiveExtensionRadius (bool,1); default=1

-adaptivepoints AdaptiveNumberOfBoundaryPoints (bool,1); default=0

-extensionlength ExtensionLength (float,1) >= 0.0; default=1.0

-extensionratio ExtensionRatio (float,1) >= 0.0; default=10.0

-extensionradius ExtensionRadius (float,1) >= 0.0; default=1.0

-transitionratio TransitionRatio (float,1) >= 0.0; default=0.25

-boundarypoints TargetNumberOfBoundaryPoints (int,1) >= 0;

    default=50

-interactive Interactive (bool,1); default=1

-exclude Exclude (bool,1); default=0: create extensions for all

    boundaries except those selected

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-normalestimationratio CenterlineNormalEstimationDistanceRatio

    (float,1) >= 0.0; default=1.0

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1)

-centerlines Centerlines (vtkPolyData,1)